Package org.optaplanner.core.api.score.buildin.simple

## Interface SimpleScoreHolder

- All Superinterfaces:
    `ScoreHolder<SimpleScore>`
  All Known Implementing Classes:
    `SimpleScoreHolderImpl`

      public interface SimpleScoreHolder
      extends ScoreHolder<SimpleScore>

  See Also:
    `SimpleScore`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addConstraintMatch​(org.kie.api.runtime.rule.RuleContext kcontext, int weight)` |
    `void` | `impactScore​(org.kie.api.runtime.rule.RuleContext kcontext, int weightMultiplier)` |
    `void` | `penalize​(org.kie.api.runtime.rule.RuleContext kcontext, int weightMultiplier)` | Penalize a match by the `ConstraintWeight` negated and multiplied with the weightMultiplier for all score levels.
    `void` | `reward​(org.kie.api.runtime.rule.RuleContext kcontext, int weightMultiplier)` | Reward a match by the `ConstraintWeight` multiplied with the weightMultiplier for all score levels.

    - ### Methods inherited from interface org.optaplanner.core.api.score.holder.ScoreHolder

      `penalize, reward`

- - ### Method Detail

    - #### penalize

          void penalize​(org.kie.api.runtime.rule.RuleContext kcontext,
                        int weightMultiplier)

      Penalize a match by the `ConstraintWeight` negated and multiplied with the weightMultiplier for all score levels.
      Parameters:
        `kcontext` - never null, the magic variable in DRL
        `weightMultiplier` - at least 0

    - #### reward

          void reward​(org.kie.api.runtime.rule.RuleContext kcontext,
                      int weightMultiplier)

      Reward a match by the `ConstraintWeight` multiplied with the weightMultiplier for all score levels.
      Parameters:
        `kcontext` - never null, the magic variable in DRL
        `weightMultiplier` - at least 0

    - #### impactScore

          void impactScore​(org.kie.api.runtime.rule.RuleContext kcontext,
                           int weightMultiplier)

    - #### addConstraintMatch

          void addConstraintMatch​(org.kie.api.runtime.rule.RuleContext kcontext,
                                  int weight)

      Parameters:
        `kcontext` - never null, the magic variable in DRL
        `weight` - higher is better, negative for a penalty, positive for a reward